Search found 4668 matches

Go to advanced search

by microelly2
Fri Apr 17, 2020 8:31 am
Forum: Python scripting and macros
Topic: Identifying Intersecting edges of two fused objects
Replies: 9
Views: 535

Re: Identifying Intersecting edges of two fused objects

Here the example code for edge classification def runEdges(): edgesA={} for i,e in enumerate(FreeCAD.ActiveDocument.Cut.Shape.Edges): t=e.Curve.__class__.__name__ print (i,t) k=None if t =='Circle': k=np.round((list(e.ParameterRange)+ list( e.Curve.Location) + [e.Curve.Radius] +list(e.Curve.Axis)),2...
by microelly2
Fri Apr 17, 2020 7:02 am
Forum: Python scripting and macros
Topic: Identifying Intersecting edges of two fused objects
Replies: 9
Views: 535

Re: Identifying Intersecting edges of two fused objects

To identify a subobject you need a key which is relative unique. I use for faces this: def pkey2(c,pa,pb,r): return tuple([c,r]+list(np.round(pa,2))+list(np.round(pb,2))) def getFaceKey(face): '''facekey for face type''' f=face typ=f.Surface.__class__.__name__ if typ == 'Cone': pk=pkey2('cone',f.Sur...
by microelly2
Thu Apr 16, 2020 10:00 am
Forum: Python scripting and macros
Topic: Animate using Spreadsheet Value
Replies: 2
Views: 143

Re: Animate using Spreadsheet Value

You can use the animation workbench
https://youtu.be/AQjAa5JxmOg
There is a way to use expressions to get the data from a spreadsheet into the parameters of the placer as expressions.
by microelly2
Wed Apr 15, 2020 10:01 am
Forum: Forum in Deutsch
Topic: Toplogical Naming - Ein anderer Weg zur Namensfindung
Replies: 9
Views: 542

Toplogical Naming - Ein anderer Weg zur Namensfindung

Vielleicht bringt die Zeit zuhause auch dieses Projekt mal weiter. Mein Ansatz zur Benamung von Teilobjekten (Kanten, Flächen) eines CAD-Modells geht von den geometrischen Eigenschaften der Teilobjekte aus. 1.Teil: Ist-Analyse von Modelle mittels einer Datenbank https://youtu.be/Dh43wd_3hrA 2. Teil:...
by microelly2
Tue Apr 14, 2020 8:34 am
Forum: Help on using FreeCAD
Topic: Development of a Curved Surface
Replies: 33
Views: 637

Re: Development of a Curved Surface

Microell2's macro would not work and gave the following message: " File "C:/Users/sandi/AppData/Roaming/FreeCAD/Macro/Curved_Development_Microell2.FCMacro", line 12, in <module> apex=face.Surface.Apex <class 'AttributeError'>: 'Part.Cylinder' object has no attribute 'Apex'". This is a version for t...
by microelly2
Mon Apr 13, 2020 10:43 pm
Forum: UX/UI Design
Topic: Modern UI
Replies: 193
Views: 9416

Re: Modern UI

Very nice design ideas at all. Thank you.
by microelly2
Mon Apr 13, 2020 6:25 pm
Forum: Help on using FreeCAD
Topic: Development of a Curved Surface
Replies: 33
Views: 637

Re: Development of a Curved Surface

TheMarkster wrote:
Mon Apr 13, 2020 5:38 pm
Any way to include support for a face made by cutting something from a sphere?
You cannot develope a sphere. Only faces with gaussian curvature zero can be developed. For such faces you only can split them into small segmets and make some deformation: example - the shell of an orange
by microelly2
Mon Apr 13, 2020 3:46 pm
Forum: Help on using FreeCAD
Topic: Development of a Curved Surface
Replies: 33
Views: 637

Re: Development of a Curved Surface

This one should work on cones too : There is still an error in your script ?! here is my one sel = FreeCADGui.Selection.getSelectionEx() face = sel[0].SubObjects[0] f=face.toNurbs().Face1 sf=f.Surface startA=f.valueAt(0,0) apex=face.Surface.Apex r0=(startA-apex).Length r=face.Surface.Radius import ...
by microelly2
Mon Apr 13, 2020 1:49 pm
Forum: Help on using FreeCAD
Topic: Development of a Curved Surface
Replies: 33
Views: 637

Re: Development of a Curved Surface

Chris_G wrote:
Mon Apr 13, 2020 8:21 am
Here is another solution
Nice to have this already.
If we adopt this to conic surfaces the most common developable surfaces can be flattend. :D
by microelly2
Mon Apr 13, 2020 6:38 am
Forum: Help on using FreeCAD
Topic: Development of a Curved Surface
Replies: 33
Views: 637

Re: Development of a Curved Surface

The face is a patch of a cylinder. I'm sure there are methods to unfold a cylider patch somewhere.
If not I can write a method this evening.
dp_04_13_001.png
dp_04_13_001.png (172.6 KiB) Viewed 200 times

Go to advanced search